Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

Possible error in BAT 5.3(2) with CCM 4.2.3 sr1

Hi!

I think, there is a bug in BAT. I tried to create a phone template for a 7971 phone. I have filled all required fields, but after pressing the "Insert" button I received "Error No." message.

After quick investigatement I have found, that the problem is in the file called UserPhoneConfig.asp. The problematic function is updateDevice. There is an external function call:

rsInsertFromFile.phoneTemplate(strOldFileName, strFileName, strData, 2, strTempPath,"copy")

When the length of strData is more then 1326 symbols, this call does not work. Has anybody fixed this alredy?

6 REPLIES
Bronze

Re: Possible error in BAT 5.3(2) with CCM 4.2.3 sr1

do you think this is related to following bug

http://www.cisco.com/cgi-bin/Support/Bugtool/onebug.pl?bugid=CSCsg59420

New Member

Re: Possible error in BAT 5.3(2) with CCM 4.2.3 sr1

Yep, this is exactly this bug. The stated workaround works for 7941G-GE phone, but does not work for 7941, because strData, created for it with all settings set to default values is large enough, to create problems with the external function call.

Moreover, when I add 7971 phone in ordinary way and then try to edit its settings, I receive another error. I think, this problem is caused by the same thing.

New Member

Re: Possible error in BAT 5.3(2) with CCM 4.2.3 sr1

I'm getting the same problem with 7941 templates and BAT 5.3(0.1) (Callmanager 4.3(1)SR1A). When I try to insert the new template i get the error No. message window.

Someone found a workaround?

New Member

Re: Possible error in BAT 5.3(2) with CCM 4.2.3 sr1

Have you tried to install latest update to your CCM version?

New Member

Re: Possible error in BAT 5.3(2) with CCM 4.2.3 sr1

Sure. CCM 4.3(1) SR1A (29-AUG-2007) using OS 2003.1.2aSR3 (18-SEP-2007). Stil the problem exists.

Silver

Re: Possible error in BAT 5.3(2) with CCM 4.2.3 sr1

Did you install new BAT version after paching CCM?

--

regards,

pk

136
Views
0
Helpful
6
Replies